@import '../../styles/variables/colors';
@import '../../styles/variables/mixins';

.hero-section-fold {
  display: flex;
  justify-content: center;
  flex-direction: column;

  @include mobile{
    position: absolute;
    z-index: 3;
  }

  .mg-first-fold {
    height: 100vh;
    position: relative;
    z-index: 3;
    top: 0;

    @include mobile {
      overflow: hidden;
      width: 100vw;
    }
    .mg-first-fold-text {
      height: 100vh;
      height: 100svh;
      display: flex;
      align-items: center;
      justify-content: center;
      flex-direction: column;
      padding-top: 13vh;

      @include iphone5 {
        padding-top: 20px;
      }

      .mg-first-fold-heading {
        font-family: 'Editorial New';
        font-weight: 200;
        font-size: 50px;
        line-height: 1.3em;
        text-align: center;
        letter-spacing: 0.01em;
        text-transform: uppercase;
        color: $cream-40;

        .animation-home-text {
          font-family: 'Editorial New';
        }

        @include heading-font;

        @include mobile {
          font-size: 50px;
          line-height: 1.6em;
        }

        @include iphone5 {
          font-size: 40px;
        }
      }

      .mg-first-fold-subheading {
        margin: 19px auto 74px;
        font-weight: 400;
        text-align: center;
        color: $cream-40;
        max-width: 560px;
        position: relative;

        @include subheading-font;

        font-size: 18px;
        @include mobile {
          font-size: 14px;
          margin: 19px auto 34px;
          width: 91%;
        }

        .mg-play-reel-btn {
          position: absolute;
          right: -300px;
          top: 0;
          cursor: pointer;
        }
      }
    }
    .mg-discover-more {
      width: 600px;
      height: 260px;
      // background: #404040;
      z-index: 1;
      margin: 0 auto;
      position: absolute;
      bottom: -120px;
      left: 0;
      right: 0;
      border-radius: 50%;
      padding: 20px;
      display: flex;
      flex-direction: column;
      align-items: center;
      font-style: normal;
      font-weight: 400;
      font-size: 1rem;
      text-align: center;
      // text-transform: uppercase;
      color: $cream-50;
      > svg {
        margin-bottom: 20px;
      }
    }
    .container{
      position: relative;
      height: 100vh;
      height: 100svh;
    }
  }

  .mg-first-fold-auth-btns {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: fit-content;
    margin: auto;
    margin-top: 1rem;
    cursor: pointer;
    & > * + * {
      margin-left: 1rem;
    }

    @include mobile {
      flex-direction: column;
      width: 100%;
      padding: 0 20px;
    }

    .btn-hero-sec {
      height: 50px;
      min-width: 240px;
      font-weight: 400;
      font-size: 18px;
      line-height: 110%;

      @include mobile {
        width: 100%;
      }

      @include iphone5 {
        height: 50px;
      }

      &:hover {
        background: rgba($cream-100, 0.3);
      }
    }
  }

  .footer-mobile {
    display: none;
    align-items: center;
    flex-grow: 2;
    justify-content: center;
    padding: 0 20px;
    color: $grey-10;

    .content {
      width: 100%;
    }

    @include mobile {
      display: flex;
    }
  }

  .more-button {
    position: absolute;
    bottom: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    left: 0;
    right: 0;
    margin: 0 auto;
    flex-direction: column;
    color: rgba($cream-40, 0.7);
    text-decoration: none;
    font-weight: 400;
    font-size: 16px;
    line-height: 170%;
    bottom: 20px;
    cursor: pointer;

    @include mobile {
      font-size: 18px;
      @supports not (bottom: 60dvh) {
        bottom: 60px;
      }
    }

    img {
      width: 50px;
      margin-top: 10px;

      @include mobile {
        width: 40px;
      }
    }
  }

  .scroll-down {
    width: 22px;
    height: 22px;
    position: relative;
    margin-bottom: 10px;

    @include mobile {
      transform: rotate(180deg);
    }

    img {
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      object-fit: cover;
    }
  }

  .mg-bg-video {
    position: absolute;
    z-index: -1;
    bottom: 0;
    left: 0;
    right: 0;
    height: 100vh;
    width: 100%;
    overflow: hidden;

    @include mobile {
      top: 0;
    }

    &::before {
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      object-fit: cover;
      background: linear-gradient(0deg, rgba(#434f50, 0.5), rgba(#434f50, 0.5));
      content: '';
      z-index: 1;

      @include mobile {
        background: linear-gradient(
          0deg,
          rgba(#434f50, 0.5),
          rgba(#434f50, 0.5)
        );
      }
    }

    video {
      object-fit: cover;
      overflow: hidden;
      min-height: 100%;
      width: 100%;
      margin: 0 auto;

      @supports not (height: 100dvh) {
        @include mobile {
          height: 93vh;
          min-height: unset;
        }
      }
    }
  }
}

.springAction {
  @keyframes spring {
    0% {
      transform: translateY(0);
    }
    50% {
      transform: translateY(-20px);
    }
    100% {
      transform: translateY(0px);
    }
  }
  img {
    animation: spring 2s infinite;
  }
}


.source-tag {
  background-color: #434f50;
  color: white;
  padding: 1rem;
  position: absolute;
  bottom: 0;
  left: 0;

  a {
    color: white;
  }
}